jQuery Accordion Pane, goes with Accordion Container

uses |
package | ZendX_JQuery
subpackage | View
copyright | Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
license | New BSD License

### Methods

## Create an anchor that enables ajax-based requests and handling of the response.

    ajaxLink(String $label, String $url, Array $options = null, Array $params = null) : String

This helper creates links that make XmlHttpRequests to the server. It allows to inject the response into the DOM. Fancy effects going with the links can be enabled via simple callback shortnames. The functionality is mostly controlled by the $options array:

# $options Key Behaviour

'update' Update a container with the content fetched from $url 'method' Explicit Requesting method mimicing the jQuery functionality: GET, POST 'inline' True or false, wheater to inline the javascript in onClick="" atttribute or append it to jQuery onLoad Stack. 'complete' String specifies javascript called after successful request or a shortname of a jQuery effect that should be applied to the 'update' element. 'beforeSend' String specifies javascript called before the request is sent, or a shortname of a jQuery effect that should be applied to the link clicked. 'noscript' True/false, include a noscript variant that directly requests the given $url (make sure to check $request->isXmlHttpRequest()) 'dataType' What type of data is the response returning? text, html, json? 'title' HTML Attribute title of the Anchor 'class' HTML Attribute class of the Anchor 'id' HTML Attribute id of the Anchor 'attribs' Array of Key-Value pairs with HTML Attribute names and their content.

BeforeSend Callback: Can include shortcuts as a string assignment to fire of effects before sending of request. Possible shortcuts are 'fadeOut', 'fadeOutSlow', 'hide', 'hideSlow', 'slideUp', 'flash',

example | = array('beforeSend' => 'hideSlow', 'complete' => 'show');
link | http://docs.jquery.com/Ajax

### Parameters

#### $label

`String`

Urls Title

#### $url

`String`

Link to Point to

#### $options

`Array`

#### $params

`Array`

Key Value Pairs of GET/POST Parameters

### Returns

`String`

### Examples

## Determine which request method (GET or POST) should be used.

    _determineRequestHandler(Array $options, Boolean $hasParams) : String

Normally the request method is determined implicitly by the rule, if addiotional params are sent, POST, if not GET. You can overwrite this behaviiour by implicitly setting $options['method'] = "POST|GET";

### Parameters

#### $options

`Array`

#### $hasParams

`Boolean`

### Returns

`String`

### Properties

## Static because multiple instances accross views of AjaxLink could reset the counter and a subcontainer because of this single private class variable seems too much overhead.

    $currentLinkCallbackId

### Default

`1`
Static

staticvar | Integer